## mumble 1.2.3-1maemo2

=== debian/changelog ===
mumble (1.2.3-1maemo2) unstable; urgency=low

  * Use bundled-speex (speex from system gives warning speex_preprocess_ctl request:  35 and 26 )

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 13 May 2011 15:26:16 +0200

mumble (1.2.3~maemo1) unstable; urgency=low

  * Packaging for fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 13 May 2011 10:00:16 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#QUILT include /usr/share/quilt/quilt.make

MAKEFILE = $(firstword $(MAKEFILE_LIST))
SOURCE_DIR = $(dir $(MAKEFILE))..
VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
MUMBLE_DEB_VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\).*/\1/p')

export DH_OPTIONS

configure: configure-stamp
configure-stamp: #QUILT patch
	echo $(DEB_BUILD_ARCH)
	dh_testdir
	qmake-qt4 -recursive main.pro \
    CONFIG+=no-portaudio \
    CONFIG+=no-bonjour \
    CONFIG+=no-xinput2 \
    CONFIG+=no-bundled-celt \
	CONFIG*=no-11x \
	CONFIG*=no-g15 \
 	CONFIG*=no-ice  \
	CONFIG*=no-overlay \
	CONFIG*=no-server \
	CONFIG*=release \
	CONFIG*=symbols \
	CONFIG*=no-embed-qt-translations \
	CONFIG*=packaged \
	DEFINES*=NO_UPDATE_CHECK \
	DEFINES*=PLUGIN_PATH=/usr/lib/mumble \
	DEFINES*=MUMBLE_VERSION=$(MUMBLE_DEB_VERSION) \
	DEFINES*=HAVE_LIMITS_H \
	DEFINES*=HAVE_ENDIAN_H
	touch configure-stamp

build: build-arch build-indep

build-arch: build-arch-stamp

build-arch-stamp: configure-stamp
	$(MAKE) release
ifeq ($(DEB_BUILD_ARCH), amd64)
	(cd overlay_gl && touch overlay.c && $(MAKE) clean && $(MAKE) release DESTDIR_ADD=-32 CFLAGS_ADD=-m32 LFLAGS_ADD=-m32 && $(MAKE) clean)
endif
	touch $@

build-indep: build-indep-stamp

build-indep-stamp:
	touch $@

clean: #QUILT unpatch
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	# Remove files from previous builds.
	[ ! -d gendoc ] || rm -rf Ice
	rm -rf release debug
	[ ! -d release-32 ] || rm -rf release-32
	rm -f $(CURDIR)/debian/mumble-server.logrotate $(CURDIR)/mumble-server.init
	debconf-updatepo
	dh_clean

install: install-indep install-arch

install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_installdirs -i
	dh_install -i
	# Install and rename web scripts
	install -m 0755 -D ./scripts/weblist.pl $(CURDIR)/debian/mumble-server-web/usr/share/mumble-server-web/www/weblist.cgi

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s
	dh_installdirs -s
	dh_install -s
	# Add Debian files.
	install -d $(CURDIR)/debian/opt/mumble
	install -m 0755 ./scripts/murmur.init $(CURDIR)/debian/mumble-server.init
	install -m 0755 ./scripts/murmur.logrotate $(CURDIR)/debian/mumble-server.logrotate
	# install mumble files that need to be renamed.
	install -m 0644 -D ./scripts/murmur.conf $(CURDIR)/debian/mumble-server/etc/dbus-1/system.d/mumble-server.conf
	install -m 0644 -D ./scripts/murmur.ini.system $(CURDIR)/debian/mumble-server/etc/mumble-server.ini
	# Also install an menu icon for mumble-11x.
	install -m 0644 -D ./icons/mumble.xpm $(CURDIR)/debian/mumble-11x/usr/share/pixmaps/mumble11x.xpm
ifeq ($(DEB_BUILD_ARCH), amd64)
	install -m 0755 -d $(CURDIR)/debian/mumble/usr/lib32/mumble
	cp -dp ./release-32/libmumble.so* $(CURDIR)/debian/mumble/usr/lib32/mumble/
endif

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installmenu
	dh_installinit -- defaults 95
	dh_installman
	dh_installlogrotate
	dh_installdebconf
	dh_installexamples
	dh_link
	dh_gconf
	dh_icons
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl $(CURDIR)/debian/mumble-server-web/usr/lib/cgi-bin/mumble-server
	dh_installdeb
	dh_shlibdeps -Xlib32/mumble/
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary:	binary-indep binary-arch

get-orig-source:
	wget -O $(SOURCE_DIR)/mumble_$(VERSION).orig.tar.gz http://mumble.info/snapshot/mumble-$(VERSION).tar.gz

.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## mumble 1.2.3-1maemo3

=== debian/changelog ===
mumble (1.2.3-1maemo3) unstable; urgency=low

  * Removed debendencies for speex

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 16 May 2011 12:40:16 +0200

=== debian/control ===
Source: mumble
Section: user/network
Priority: optional
Homepage: http://mumble.sourceforge.net/
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.8), po-debconf,
 libboost1.38-dev, libboost-python1.38-dev,
 libqt4-dev (>= 4.5.0),
 libasound2-dev, libpulse-dev [!hurd-i386],
 libogg-dev, libcelt-dev (>= 0.7.0), libsndfile1-dev,
 libssl-dev,
 libspeechd-dev,
 protobuf-compiler, libprotobuf-dev, libavahi-compat-libdnssd-dev, libxi-dev,
 libcap-dev [!kfreebsd-i386 !kfreebsd-amd64],
 libc6-dev-i386 [amd64], gcc-multilib [amd64]
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/pkg-voip/mumble/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/mumble/?op=log

Package: mumble
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcelt0 (>= 0.7.0) | libcelt0-0 (>= 0.7.1~), libqt4-sql-sqlite, lsb-release
Recommends: speech-dispatcher
Description: Low latency VoIP client
 Mumble is a low-latency, high quality voice chat program for gaming. It
 features noise suppression, automatic gain control and low latency audio
 with support for multiple audio standards. Mumble includes an in-game
 overlay compatible with most open-source and commercial 3D applications.
 Mumble is just a client and uses a non-standard protocol. You will need
 a dedicated server to talk to other users. Server functionality is
 provided by the package "mumble-server".

## mumble 1.2.3-1maemo4

=== debian/changelog ===
mumble (1.2.3-1maemo4) unstable; urgency=low

  * From Oneiric (ubuntu 11.10)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 6 Jan 2012 13:15:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: mumble
-Section: user/network
+Section: sound
 Priority: optional
 Homepage: http://mumble.sourceforge.net/
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
 XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Uploaders: Patrick Matthäi <pmatthaei@debian.org>, Thorvald Natvig <thorvald@debian.org>
 Build-Depends: debhelper (>= 7.0.8), po-debconf,
- libboost1.38-dev, libboost-python1.38-dev,
+ libboost1.38-dev, 
+ libboost-python1.38-dev,
  libqt4-dev (>= 4.5.0),
  libasound2-dev, libpulse-dev [!hurd-i386],
- libogg-dev, libcelt-dev (>= 0.7.0), libsndfile1-dev,
+ libogg-dev, libspeex-dev, libspeexdsp-dev, libcelt-dev (>= 0.7.0), libsndfile1-dev,
  libssl-dev,
  libspeechd-dev,
  protobuf-compiler, libprotobuf-dev, libavahi-compat-libdnssd-dev, libxi-dev,
@@ -18,6 +19,7 @@
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/pkg-voip/mumble/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/mumble/?op=log
+XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
 
 Package: mumble
 Architecture: any
@@ -31,4 +33,3 @@
  Mumble is just a client and uses a non-standard protocol. You will need
  a dedicated server to talk to other users. Server functionality is
  provided by the package "mumble-server".
-

=== debian/rules ===
--- 
+++ 
@@ -17,15 +17,15 @@
 	echo $(DEB_BUILD_ARCH)
 	dh_testdir
 	qmake-qt4 -recursive main.pro \
+	CONFIG*=no-11x \
+	CONFIG*=no-g15 \
+	CONFIG*=no-ice  \
+	CONFIG*=no-overlay \
+	CONFIG*=no-server \
     CONFIG+=no-portaudio \
     CONFIG+=no-bonjour \
     CONFIG+=no-xinput2 \
     CONFIG+=no-bundled-celt \
-	CONFIG*=no-11x \
-	CONFIG*=no-g15 \
- 	CONFIG*=no-ice  \
-	CONFIG*=no-overlay \
-	CONFIG*=no-server \
 	CONFIG*=release \
 	CONFIG*=symbols \
 	CONFIG*=no-embed-qt-translations \
@@ -51,6 +51,7 @@
 build-indep: build-indep-stamp
 
 build-indep-stamp:
+	#slice2html -I/usr/share/Ice-3.4.1/slice -I/usr/share/Ice-3.3.1/slice -I/usr/share/Ice/slice src/murmur/Murmur.ice --output-dir Ice
 	touch $@
 
 clean: #QUILT unpatch
@@ -101,6 +102,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs CHANGES
+	#dh_installdocs
 	dh_installmenu
 	dh_installinit -- defaults 95
 	dh_installman
@@ -110,6 +112,7 @@
 	dh_link
 	dh_gconf
 	dh_icons
+	#dh_strip --dbg-package=mumble-dbg
 	dh_strip
 	dh_compress
 	dh_fixperms

## mumble 1.2.3-1maemo5

=== debian/changelog ===
mumble (1.2.3-1maemo5) unstable; urgency=low

  * added: CONFIG*=no-bundled-speex 

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 6 Jan 2012 16:47:16 +0200

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
     CONFIG+=no-bonjour \
     CONFIG+=no-xinput2 \
     CONFIG+=no-bundled-celt \
+	CONFIG*=no-bundled-speex \
 	CONFIG*=release \
 	CONFIG*=symbols \
 	CONFIG*=no-embed-qt-translations \

## mumble 1.2.3-192-g683d39b

=== debian/changelog ===
mumble (1.2.3-192-g683d39b-1) experimental; urgency=low

  [ Thorvald Natvig ]
  * Allow build with boost 1.38 to make backports a bit easier.
  * Reduce build verbosity a bit.
  * Support parallel builds.

  [ Patrick Matthäi ]
  * New upstream snapshot from 06.10.2011.
    - Audio statistics do not need glx extension anymore.
      Closes: #612030
  * Qt and mumble should use the same OpenSSL version now.
    Closes: #627871
  * Bump debhelper to compat version 7.
    - Replace dh_clean -k with dh_prep.
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Build with enabled hardening-wrapper.
  * Wrap debian/control fields.
  * Add patch 01-fix-spelling-error.diff to fix an minor spelling error in
    the source code.
  * Clean up debian/rules a bit.
  * libGL-dev libs already have been added as build dependencies.
    Closes: #627430
  * Use linux-any instead of hardcoded list for libcap-dev build dependency.
    Closes: #634777

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 06 Oct 2011 12:52:02 +0200

mumble (1.2.3-91-g05d91c1-1) experimental; urgency=low

  * Experimental upstream release.
  * Remove 11x package, as source no longer contains it.

 -- Thorvald Natvig <thorvald@debian.org>  Fri, 15 Apr 2011 06:35:05 +0200

=== debian/control ===
Source: mumble
Section: sound
Priority: optional
Homepage: http://mumble.sourceforge.net/
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Patrick Matthäi <pmatthaei@debian.org>,
 Thorvald Natvig <thorvald@debian.org>
Build-Depends: debhelper (>= 7.0.8),
 po-debconf,
 libboost1.46-dev | libboost-dev (>= 1.38.0),
 libboost-python1.46-dev | libboost-python-dev (>= 1.38.0),
 libqt4-dev (>= 4.5.0),
 hardening-wrapper,
 libgl1-mesa-dev | libgl-dev,
 libasound2-dev,
 libpulse-dev [!hurd-i386],
 libogg-dev,
 libspeex-dev,
 libspeexdsp-dev,
 libcelt-dev (>= 0.7.0),
 libsndfile1-dev,
 libssl-dev,
 libzeroc-ice34-dev | libzeroc-ice33-dev | libzeroc-ice32-dev | libzeroc-ice-dev,
 ice34-translators | ice33-translators | ice32-translators | ice-translators,
 ice34-slice | ice33-slice | ice32-slice | ice-slice,
 libg15daemon-client-dev,
 libspeechd-dev,
 protobuf-compiler,
 libprotobuf-dev,
 libavahi-compat-libdnssd-dev,
 libxi-dev,
 libcap-dev [linux-any],
 libc6-dev-i386 [amd64],
 gcc-multilib [amd64]
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-voip/mumble/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/mumble/?op=log

Package: mumble
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libcelt0 (>= 0.7.0) | libcelt0-0 (>= 0.7.1~),
 libqt4-sql-sqlite,
 lsb-release
Recommends: speech-dispatcher
Suggests: mumble-server
Description: Low latency VoIP client
 Mumble is a low-latency, high quality voice chat program for gaming. It
 features noise suppression, automatic gain control and low latency audio
 with support for multiple audio standards. Mumble includes an in-game
 overlay compatible with most open-source and commercial 3D applications.
 Mumble is just a client and uses a non-standard protocol. You will need
 a dedicated server to talk to other users. Server functionality is
 provided by the package "mumble-server".

Package: mumble-server
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 adduser,
 dbus,
 libqt4-sql-sqlite
Suggests: mumble-server-web, mumble-django
Description: Low latency VoIP server
 Murmur is the VoIP server component for Mumble. Murmur is installed
 in a system-wide fashion, but can also be run by individual users.
 Each murmur process supports multiple virtual servers, each with their
 own user base and channel list. Administration of murmur is done through
 D-Bus. Example scripts which register new users and list connected users
 through a web page are can be found in the package 'mumble-server-web'.

Package: mumble-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 mumble (= ${binary:Version}) | mumble-server (= ${binary:Version})
Priority: extra
Description: Low latency VoIP client (debugging symbols)
 Mumble is a low-latency, high quality voice chat program for gaming. It
 features noise suppression, automatic gain control and low latency audio
 with support for multiple audio standards. Mumble includes an in-game
 overlay compatible with most open-source and commercial 3D applications.
 Mumble is just a client and uses a non-standard protocol. You will need
 a dedicated server to talk to other users. Server functionality is
 provided by the package "mumble-server".
 .
 This package contains the debugging symbols for the 'mumble' and
 'mumble-server' packages.

Package: mumble-server-web
Architecture: all
Depends: ${misc:Depends},
 ${perl:Depends},
 mumble-server (>= ${binary:Version}),
 apache2,
 exim4 | mail-transport-agent,
 libnet-dbus-perl,
 libcgi-session-perl,
 libhtml-template-perl,
 php-zeroc-ice,
 ice34-translators | ice33-translators | ice32-translators | ice-translators,
 ice34-slice | ice33-slice | ice32-slice | ice-slice
Description: Web scripts for mumble-server
 Murmur (in the package mumble-server) is the VoIP server component for
 Mumble. This package contains web scripts for registering users, uploading
 custom textures and showing a list of currently connected users.

## mumble 1.2.3-309-g7176ff4

=== debian/changelog ===
mumble (1.2.3-309-g7176ff4-1) unstable; urgency=low

  * New upstream snapshot from 16.03.2012.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 16 Mar 2012 16:07:56 +0100

mumble (1.2.3-304-g88e9e6a-1) experimental; urgency=low

  * New upstream snapshot from 26.02.2012.
    - Drop patch 01-fix-spelling-error, merged upstream.
    - Drop patch 03-fix-cert-validation, merged upstream.
  * Merge changelog from 1.2.2-6+squeeze1 and 1.2.3-3.
  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Correct Vcs-Browser control field.
  * Wrap all debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 26 Feb 2012 14:24:32 +0100

mumble (1.2.3-277-g98f4ac1-1) experimental; urgency=low

  * New upstream snapshot from 12.02.2012.
    - Refresh patch 01-fix-spelling-error.
    - Word readable file permissions on mumble database are fixed in this
      snapshot.
      Closes: #659039
  * Add Dutch debconf translation.
    Closes: #657632
  * Add patch 02-reject-with-ip-in-log to show up the IP address of a rejected
    connection in the mumble-server log.
    Closes: #627139
  * Add patch 03-fix-cert-validation from Marc Deslauriers, which fixes the
    certificate validation with Qt 4.8.
    Closes: #659035
  * Add patch 05-lsb-description which fixes the lintian warning
    init.d-script-missing-lsb-description.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 12 Feb 2012 16:43:52 +0100

mumble (1.2.3-3) unstable; urgency=high

  * Add Dutch debconf translation.
    Closes: #657632
  * Add patch 01-fix-spelling-error.diff to fix an minor spelling error in
    the source code.
  * Add patch 05-lsb-description which fixes the lintian warning
    init.d-script-missing-lsb-description.
  * Add patch 02-reject-with-ip-in-log to show up the IP address of a rejected
    connection in the mumble-server log.
    Closes: #627139
  * Add patch 04-set-file-permissions from Marc Deslauriers, which fixes the
    file permissions of the Mumble database.
    Closes: #659039

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 12 Feb 2012 17:09:07 +0100

=== debian/control ===
--- 
+++ 
@@ -32,9 +32,9 @@
  libcap-dev [linux-any],
  libc6-dev-i386 [amd64],
  gcc-multilib [amd64]
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/pkg-voip/mumble/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/mumble/?op=log
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/mumble/
 
 Package: mumble
 Architecture: any
@@ -61,7 +61,8 @@
  adduser,
  dbus,
  libqt4-sql-sqlite
-Suggests: mumble-server-web, mumble-django
+Suggests: mumble-server-web,
+ mumble-django
 Description: Low latency VoIP server
  Murmur is the VoIP server component for Mumble. Murmur is installed
  in a system-wide fashion, but can also be run by individual users.

=== debian/rules ===
--- 
+++ 
@@ -2,35 +2,30 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-#QUILT include /usr/share/quilt/quilt.make
+export DEB_BUILD_HARDENING=1
 
 MAKEFILE = $(firstword $(MAKEFILE_LIST))
 SOURCE_DIR = $(dir $(MAKEFILE))..
 VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
 MUMBLE_DEB_VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\).*/\1/p')
 
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	MAKEFLAGS += -j$(NUMJOBS)
+endif
+
 export DH_OPTIONS
 
 configure: configure-stamp
-configure-stamp: #QUILT patch
+configure-stamp:
 	echo $(DEB_BUILD_ARCH)
 	dh_testdir
 	qmake-qt4 -recursive main.pro \
-	CONFIG*=no-11x \
-	CONFIG*=no-g15 \
-	CONFIG*=no-ice  \
-	CONFIG*=no-overlay \
-	CONFIG*=no-server \
-    CONFIG+=no-portaudio \
-    CONFIG+=no-bonjour \
-    CONFIG+=no-xinput2 \
-    CONFIG+=no-bundled-celt \
-	CONFIG*=no-bundled-speex \
 	CONFIG*=release \
 	CONFIG*=symbols \
 	CONFIG*=no-embed-qt-translations \
 	CONFIG*=packaged \
+	CONFIG*=quiet-build-log \
 	DEFINES*=NO_UPDATE_CHECK \
 	DEFINES*=PLUGIN_PATH=/usr/lib/mumble \
 	DEFINES*=MUMBLE_VERSION=$(MUMBLE_DEB_VERSION) \
@@ -52,10 +47,10 @@
 build-indep: build-indep-stamp
 
 build-indep-stamp:
-	#slice2html -I/usr/share/Ice-3.4.1/slice -I/usr/share/Ice-3.3.1/slice -I/usr/share/Ice/slice src/murmur/Murmur.ice --output-dir Ice
+	slice2html -I/usr/share/Ice-3.4.1/slice -I/usr/share/Ice-3.3.1/slice -I/usr/share/Ice/slice src/murmur/Murmur.ice --output-dir Ice
 	touch $@
 
-clean: #QUILT unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-arch-stamp build-indep-stamp configure-stamp
@@ -73,27 +68,21 @@
 install-indep:
 	dh_testdir
 	dh_testroot
-	dh_clean -k -i
+	dh_prep
 	dh_installdirs -i
 	dh_install -i
-	# Install and rename web scripts
 	install -m 0755 -D ./scripts/weblist.pl $(CURDIR)/debian/mumble-server-web/usr/share/mumble-server-web/www/weblist.cgi
 
 install-arch:
 	dh_testdir
 	dh_testroot
-	dh_clean -k -s
+	dh_prep
 	dh_installdirs -s
 	dh_install -s
-	# Add Debian files.
-	install -d $(CURDIR)/debian/opt/mumble
 	install -m 0755 ./scripts/murmur.init $(CURDIR)/debian/mumble-server.init
 	install -m 0755 ./scripts/murmur.logrotate $(CURDIR)/debian/mumble-server.logrotate
-	# install mumble files that need to be renamed.
 	install -m 0644 -D ./scripts/murmur.conf $(CURDIR)/debian/mumble-server/etc/dbus-1/system.d/mumble-server.conf
 	install -m 0644 -D ./scripts/murmur.ini.system $(CURDIR)/debian/mumble-server/etc/mumble-server.ini
-	# Also install an menu icon for mumble-11x.
-	install -m 0644 -D ./icons/mumble.xpm $(CURDIR)/debian/mumble-11x/usr/share/pixmaps/mumble11x.xpm
 ifeq ($(DEB_BUILD_ARCH), amd64)
 	install -m 0755 -d $(CURDIR)/debian/mumble/usr/lib32/mumble
 	cp -dp ./release-32/libmumble.so* $(CURDIR)/debian/mumble/usr/lib32/mumble/
@@ -103,7 +92,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs CHANGES
-	#dh_installdocs
+	dh_installdocs
 	dh_installmenu
 	dh_installinit -- defaults 95
 	dh_installman
@@ -113,8 +102,7 @@
 	dh_link
 	dh_gconf
 	dh_icons
-	#dh_strip --dbg-package=mumble-dbg
-	dh_strip
+	dh_strip --dbg-package=mumble-dbg
 	dh_compress
 	dh_fixperms
 	dh_perl $(CURDIR)/debian/mumble-server-web/usr/lib/cgi-bin/mumble-server

## mumble 1.2.3-349-g315b5f5

=== debian/changelog ===
mumble (1.2.3-349-g315b5f5-2ubuntu2) quantal; urgency=low

  * Make the package compatible with the rest of the world, yet again,
    by re-enabling CELT 0.7.1 support which was dropped in 1.2.3-349-g315b5f5-1.
    (TC Closes: #682010)
  * Refresh patches.
  
 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 25 Aug 2012 00:32:11 +0100

mumble (1.2.3-349-g315b5f5-2ubuntu1) quantal; urgency=low

  * Merge from Debian, remaining changes: 
  - add libqt4-opengl-dev (>= 4.5.0) Build-Dependencies, as it is not
    pulled in by default on arm.
  
 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 24 Aug 2012 18:33:55 +0100

mumble (1.2.3-349-g315b5f5-2) unstable; urgency=low

  * Drop the hard dep on boost-1.46, that's been removed now.  Closes: #678759
    Drop the | dep on alternative boost, since that's what got this package
    overlooked when people were removing boost-1.46.

  * Drop the | dep on libgl-dev, that's been gone a long time now too and
    leaves us vulnerable to a similar problem.

  * Drop the mumble-server-web package altogether.  Upstream reports that it
    is unmaintained and "pretty useless anyway", which seems to be well backed
    up by the fact that a call to Ice_intversion() was added in March 2010,
    and that function has never existed in any version of zeroc-ice ever.
    A function named Ice_intVersion was added to -ice 3.2.1 though ...
    Since it's taken this long for anyone to notice, we can be pretty sure that
    there aren't any actual users of it.  Closes: #676815, #676816

  * Build-Depend on the unfycked version of zeroc-ice, so the ABI broken one
    doesn't accidentally get used by an out of date buildd.  Closes: #675955
    Force building with gcc-4.6, since that's required for zeroc-ice deps now,
    until they get their act together and write some actually legal code.

  * Cherry-pick the upstream patches to fix the "audio glitches", and provide
    codec thresholds and warnings.  Closes: #675971 since it fixes the only
    actual bug reported there.

  * Drop the watch file, since this has been building snapshots from git now
    since 1.2.3-3 (and before).

 -- Ron Lee <ron@debian.org>  Sun, 08 Jul 2012 06:18:50 +0930

mumble (1.2.3-349-g315b5f5-1) unstable; urgency=low

  * Adopt the package.  Closes: #674719
  * Drop the dependency on the celt package.  Closes: #674650
  * Add the upstream patch to enable opus support.
  * Explicitly disable the bundled libs, don't rely on system lib detection
    doing that as a side-effect.

 -- Ron Lee <ron@debian.org>  Mon, 04 Jun 2012 03:56:35 +0930

mumble (1.2.3-348-g317f5a0-1) unstable; urgency=low

  * New upstream snapshot from 20.05.2012.
  * Build with now available libpulse on hurd-i386.
  * Overwrite false positive hardening-no-stackprotector lintian warnings.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 24 May 2012 20:32:56 +0200

mumble (1.2.3-313-ge5c4657-1) unstable; urgency=high

  * New upstream snapshot from 21.03.2012.
  * Remove /usr/lib32 building.
    Closes: #667882
  * Remove comments from debian/rules.
  * Move slice2html call from build-indep-stamp to build-arch-stamp. The build
    documentation is required in an arch:any package.
    Closes: #667883

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 08 Apr 2012 12:31:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,39 @@
 Source: mumble
 Section: sound
 Priority: optional
-Homepage: http://mumble.sourceforge.net/
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Patrick Matthäi <pmatthaei@debian.org>,
- Thorvald Natvig <thorvald@debian.org>
-Build-Depends: debhelper (>= 7.0.8),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ron Lee <ron@debian.org>
+Uploaders: Thorvald Natvig <thorvald@debian.org>
+Build-Depends: debhelper (>= 7.0.8), g++-4.6,
  po-debconf,
- libboost1.46-dev | libboost-dev (>= 1.38.0),
- libboost-python1.46-dev | libboost-python-dev (>= 1.38.0),
+ libboost-dev (>= 1.42),
+ libboost-python-dev (>= 1.42),
  libqt4-dev (>= 4.5.0),
+ libqt4-opengl-dev (>= 4.5.0),
  hardening-wrapper,
- libgl1-mesa-dev | libgl-dev,
+ libgl1-mesa-dev,
  libasound2-dev,
- libpulse-dev [!hurd-i386],
+ libpulse-dev,
  libogg-dev,
  libspeex-dev,
  libspeexdsp-dev,
  libcelt-dev (>= 0.7.0),
  libsndfile1-dev,
  libssl-dev,
- libzeroc-ice34-dev | libzeroc-ice33-dev | libzeroc-ice32-dev | libzeroc-ice-dev,
- ice34-translators | ice33-translators | ice32-translators | ice-translators,
- ice34-slice | ice33-slice | ice32-slice | ice-slice,
+ libzeroc-ice34-dev (>= 3.4.2-8.1),
+ ice34-translators (>= 3.4.2-8.1),
+ ice34-slice (>= 3.4.2-8.1),
  libg15daemon-client-dev,
  libspeechd-dev,
  protobuf-compiler,
  libprotobuf-dev,
  libavahi-compat-libdnssd-dev,
  libxi-dev,
- libcap-dev [linux-any],
- libc6-dev-i386 [amd64],
- gcc-multilib [amd64]
-Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/pkg-voip/mumble/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/mumble/
+ libcap-dev [linux-any]
+Standards-Version: 3.9.3.1
+Homepage: http://mumble.sourceforge.net/
+Vcs-Git: git://git.debian.org/users/ron/mumble.git
+Vcs-Browser: http://git.debian.org/?p=users/ron/mumble.git;a=summary
 
 Package: mumble
 Architecture: any
@@ -89,21 +88,3 @@
  .
  This package contains the debugging symbols for the 'mumble' and
  'mumble-server' packages.
-
-Package: mumble-server-web
-Architecture: all
-Depends: ${misc:Depends},
- ${perl:Depends},
- mumble-server (>= ${binary:Version}),
- apache2,
- exim4 | mail-transport-agent,
- libnet-dbus-perl,
- libcgi-session-perl,
- libhtml-template-perl,
- php-zeroc-ice,
- ice34-translators | ice33-translators | ice32-translators | ice-translators,
- ice34-slice | ice33-slice | ice32-slice | ice-slice
-Description: Web scripts for mumble-server
- Murmur (in the package mumble-server) is the VoIP server component for
- Mumble. This package contains web scripts for registering users, uploading
- custom textures and showing a list of currently connected users.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

MAKEFILE = $(firstword $(MAKEFILE_LIST))
SOURCE_DIR = $(dir $(MAKEFILE))..
VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
MUMBLE_DEB_VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\).*/\1/p')

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

export DH_OPTIONS

configure: configure-stamp
configure-stamp:
	dh_testdir
	qmake-qt4 QMAKE_CXX=g++-4.6 QMAKE_CC=gcc-4.6 -recursive main.pro \
	CONFIG*=release \
	CONFIG*=symbols \
	CONFIG*=no-embed-qt-translations \
	CONFIG*=packaged \
	CONFIG*=quiet-build-log \
	DEFINES*=NO_UPDATE_CHECK \
	DEFINES*=PLUGIN_PATH=/usr/lib/mumble \
	DEFINES*=MUMBLE_VERSION=$(MUMBLE_DEB_VERSION) \
	DEFINES*=HAVE_LIMITS_H \
	DEFINES*=HAVE_ENDIAN_H
	touch configure-stamp

build: build-arch

build-arch: build-arch-stamp

build-arch-stamp: configure-stamp
	$(MAKE) release
	slice2html -I/usr/share/Ice-3.4.1/slice -I/usr/share/Ice-3.3.1/slice -I/usr/share/Ice/slice src/murmur/Murmur.ice --output-dir Ice
	touch $@

build-indep:


clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	[ ! -d gendoc ] || rm -rf Ice
	rm -rf release debug
	[ ! -d release-32 ] || rm -rf release-32
	rm -f $(CURDIR)/debian/mumble-server.logrotate $(CURDIR)/mumble-server.init
	debconf-updatepo
	dh_clean

install: install-arch

install-arch:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -s
	dh_install -s
	install -m 0755 ./scripts/murmur.init $(CURDIR)/debian/mumble-server.init
	install -m 0755 ./scripts/murmur.logrotate $(CURDIR)/debian/mumble-server.logrotate
	install -m 0644 -D ./scripts/murmur.conf $(CURDIR)/debian/mumble-server/etc/dbus-1/system.d/mumble-server.conf
	install -m 0644 -D ./scripts/murmur.ini.system $(CURDIR)/debian/mumble-server/etc/mumble-server.ini

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installmenu
	dh_installinit -- defaults 95
	dh_installman
	dh_lintian
	dh_installlogrotate
	dh_installdebconf
	dh_installexamples
	dh_link
	dh_gconf
	dh_icons
	dh_strip --dbg-package=mumble-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary:	binary-arch

.PHONY: clean configure build build-arch build-indep \
        binary binary-arch binary-indep binary-common \
        install install-arch

## mumble 1.2.4

=== sbcelt-src/Makefile ===
# Copyright (C) 2012 The SBCELT Developers. All rights reserved.
# Use of this source code is governed by a BSD-style license
# that can be found in the LICENSE-file.

include Make.conf

.PHONY: default
default:
	$(MAKE) -C lib
	$(MAKE) -C helper
	$(MAKE) -C bench-celt
	$(MAKE) -C bench-sbcelt

.PHONY: clean
clean:
	$(MAKE) -C lib clean
	$(MAKE) -C helper clean
	$(MAKE) -C bench-celt clean
	$(MAKE) -C bench-sbcelt clean
	@cd test && ./clean.bash

.PHONY: test
test:
	@cd test && ./run.bash

=== sbcelt-src/helper/Makefile ===
include ../Make.conf

CFLAGS = -O2 -DHAVE_CONFIG_H -I. -I.. -I../lib -I../celt-0.7.0/libcelt/
LDFLAGS = -lm -lpthread

CELT = ../celt-0.7.0/libcelt
TARGET = sbcelt-helper

SOURCES = \
	$(CELT)/bands.c \
	$(CELT)/celt.c \
	$(CELT)/cwrs.c \
	$(CELT)/entcode.c \
	$(CELT)/entdec.c \
	$(CELT)/entenc.c \
	$(CELT)/header.c \
	$(CELT)/kiss_fft.c \
	$(CELT)/kiss_fftr.c \
	$(CELT)/laplace.c \
	$(CELT)/mdct.c \
	$(CELT)/modes.c \
	$(CELT)/pitch.c \
	$(CELT)/psy.c \
	$(CELT)/quant_bands.c \
	$(CELT)/rangedec.c \
	$(CELT)/rangeenc.c \
	$(CELT)/rate.c \
	$(CELT)/vq.c \
	sbcelt-helper.c \
	alloc.c

ifeq ($(shell uname -s),Linux)
SOURCES += \
	../lib/futex-linux.c \
	seccomp-sandbox.c \
	sbcelt-sandbox-linux.c \
	pdeath-linux.c
LDFLAGS += -lrt
endif

ifeq ($(shell uname -s),Darwin)
CFLAGS += -Wno-deprecated-declarations
SOURCES += \
	../lib/futex-stub.c \
	sbcelt-sandbox-darwin.c \
	pdeath-kqueue.c
endif

ifeq ($(shell uname -s),FreeBSD)
SOURCES += \
	../lib/futex-freebsd.c \
	sbcelt-sandbox-freebsd.c \
	pdeath-kqueue.c
endif

include ../Make.cmd

=== debian/changelog ===
mumble (1.2.4-0.2ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service through SVG images (LP: #1335597)
    - debian/patches/Mumble-SA-2014-005.patch: patch from upstream
    - CVE-2014-3755
  * SECURITY UPDATE: unproperly HTML-escaped external strings
    - debian/patches/Mumble-SA-2014-006.patch: patch from upstream
    - CVE-2014-3756

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 29 Jun 2014 11:34:25 +0200

mumble (1.2.4-0.2ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/35-speechd-0.8.patch: Build against speech-dispatcher
      0.8.
    - debian/control: Adjust build-depends for speech-dispatcher to >= 0.8.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 15 Feb 2014 13:45:36 +0100

mumble (1.2.4-0.2) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches
      - Add 12-Mumble-SA-2014-001.patch, 14-Mumble-SA-2014-002.patch
        to fix CVE-2014-0044, CVE-2014-0045.  Closes: #737739

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Thu, 06 Feb 2014 12:07:05 -0500

mumble (1.2.4-0.1ubuntu2) trusty; urgency=medium

  * No-change rebuild against libprotobuf8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Jan 2014 17:11:05 +0000

mumble (1.2.4-0.1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/35-speechd-0.8.patch: Build against speech-dispatcher
      0.8.
    - debian/control: Adjust build-depends for speech-dispatcher to >= 0.8.
  * debian/patches/35-mumble-url-handler: Drop, as Debian now has a similar
    patch.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 07 Dec 2013 17:10:49 -0500

mumble (1.2.4-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New (stable upstream) version from 2013-06-01  Closes: #728545
  * Standards-Version: update to 3.9.4 (no changes needed)
  * debian/control:
      - Switch from zeroc-ice34 to zeroc-ice35
        Closes: #726860
      - Remove g++-4.6 dependency
  * debian/patches:
      - Remove deprecated quilt patches:
          10-use-celt-guard
          15-fix-noise-in-opus-mode
          20-add-opus-threshold-option
          25-add-codec-warnings
          30-opengl
      - Refresh patch 02-reject-with-ip-in-log.diff, add DEP3 headers
      - Update 05-lsb-description.diff to add DEP3 headers
      - Add 06-connect-dialog-hang-dee463ef.diff patch from Ubuntu PPA
      - Refresh patch 07-use-embedded-celt-baseline, rename with .diff,
        add DEP3 headers
      - Add 09-register-mumble-URL-handler.diff  Closes: #706053
  * debian/rules:
      - Remove g++-4.6 hardcoding
      - Add DEB_BUILD_HARDENING_BINDNOW=0, upstream's suggested fix
        for #691535.  Closes: #712156
      - Update 'clean' target, 'rm -rf Ice' to allow rebuilding
  * debian/mumble.install:
      - Update to ship libcelt0.so.0.7.0 only
  * Add debian/mumble-server.init script
  * Add debian/watch file to monitor
    http://mumble.info/snapshot/mumble-(*.)\.tar\.gz

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Thu, 19 Sep 2013 14:54:31 -0400

mumble (1.2.3-349-g315b5f5-2.2ubuntu3) trusty; urgency=low

  * debian/patches/35-speechd-0.8.patch:
    - Build against speech-dispatcher 0.8
  * debian/control: Adjust build-depends for speech-dispatcher to >= 0.8

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 11 Nov 2013 16:20:48 +1100

mumble (1.2.3-349-g315b5f5-2.2ubuntu2) trusty; urgency=low

  * Build against zeroc-ice 35.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 25 Oct 2013 12:07:13 +0100

mumble (1.2.3-349-g315b5f5-2.2ubuntu1) raring; urgency=low

  [ pataquets ]
  * Register mumble:// URL handler mimetype (LP: #934239)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 24 Apr 2013 12:45:45 +1000

mumble (1.2.3-349-g315b5f5-2.2) unstable; urgency=low

  * Non-maintainer upload with maintainer's approval.
  * Fix "Plugins: Failed to load libmumble.so: Cannot load library
    /usr/lib/mumble/libmumble.so: (/usr/lib/mumble/libmumble.so:
    undefined symbol: glPopClientAttrib)":

    new patch 30-opengl: link libmumble against libGL to make mumble-overlay /
    pre-loading libmumble work.

    Thanks to Daniel Kahn Gillmor for the bug report, Ron Lee for the
    suggested fix, and Chris Knadle for testing the patch.

    (Closes: #691535)

 -- gregor herrmann <gregoa@debian.org>  Sun, 11 Nov 2012 21:21:43 +0100

mumble (1.2.3-349-g315b5f5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Cannot communicate with the vast majority of Mumble servers due
    to lack of required baseline codec":
    re-enable using the bundled celt library:
       debian/patches/series:
         - add 07-use-embedded-celt-baseline patch
       debian/patches/07-use-embedded-celt-baseline:
         - build Celt 0.7.1 and not 0.11.0
       debian/mumble.install:
         - ship Celt 0.7.1 library from the embedded source
       debian/rules:
         - re-enable Celt using the bundled 0.7.1 version
       debian/patches/20-add-opus-threshold-option:
         - fix src/murmur/Meta.cpp to set default iOpusThreshold=100 to only
           switch from Celt to Opus if 100% of connected clients support Opus
           (instead of 1%)
         - fix murmur.ini example for opusthreshold option to =100
           (instead of =1)
         - add #opusthreshold=100 comments to murmur.ini.system (shipped as
           etc/mumble-server.ini) to match murmur.ini example    
    Closes: #675971.
    This implements the TC decision in #682010.
    [Thanks to Gregor Herrmann for his help and guidance.]

 -- Christopher Knadle <chris.knadle@coredump.us>  Thu, 04 Oct 2012 11:45:05 -0400

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ron Lee <ron@debian.org>
 Uploaders: Thorvald Natvig <thorvald@debian.org>
-Build-Depends: debhelper (>= 7.0.8), g++-4.6,
+Build-Depends: debhelper (>= 7.0.8),
  po-debconf,
  libboost-dev (>= 1.42),
  libboost-python-dev (>= 1.42),
  libqt4-dev (>= 4.5.0),
- libqt4-opengl-dev (>= 4.5.0),
  hardening-wrapper,
  libgl1-mesa-dev,
  libasound2-dev,
@@ -17,20 +16,20 @@
  libogg-dev,
  libspeex-dev,
  libspeexdsp-dev,
- libcelt-dev (>= 0.7.0),
+ libopus-dev,
  libsndfile1-dev,
  libssl-dev,
- libzeroc-ice34-dev (>= 3.4.2-8.1),
- ice34-translators (>= 3.4.2-8.1),
- ice34-slice (>= 3.4.2-8.1),
+ libzeroc-ice35-dev,
+ ice35-translators,
+ ice35-slice,
  libg15daemon-client-dev,
- libspeechd-dev,
+ libspeechd-dev (>= 0.8),
  protobuf-compiler,
  libprotobuf-dev,
  libavahi-compat-libdnssd-dev,
  libxi-dev,
  libcap-dev [linux-any]
-Standards-Version: 3.9.3.1
+Standards-Version: 3.9.4
 Homepage: http://mumble.sourceforge.net/
 Vcs-Git: git://git.debian.org/users/ron/mumble.git
 Vcs-Browser: http://git.debian.org/?p=users/ron/mumble.git;a=summary
@@ -39,7 +38,6 @@
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- libcelt0 (>= 0.7.0) | libcelt0-0 (>= 0.7.1~),
  libqt4-sql-sqlite,
  lsb-release
 Recommends: speech-dispatcher

=== debian/watch ===
version=3
http://mumble.info/snapshot/mumble-(.*)\.tar\.gz

## mumble 1.2.8~7~g76f6870

=== debian/changelog ===
mumble (1.2.8~7~g76f6870-2) unstable; urgency=medium

  * debian/patches:
      - Add 23-fix-pulseaudio-segfault-pt1.diff
            24-fix-pulseaudio-segfault-pt2.diff
        Fixes an uncommon segfault issue with PulseAudio

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Wed, 23 Jul 2014 22:01:19 -0400

mumble (1.2.8~7~g76f6870-1) unstable; urgency=medium

  * New upstream snapshot from 2014-07-04
  * The mumble 1.2.8 source incorporates changes needed to compile with Clang.
    Thanks to Alexander <sanek23994@gmail.com> for reporting the bug.
    Closes: #753273
  * debian/source/lintian-overrides:
      - Add override for new lintian error concerning hardening-wrapper being
        obsolete, isn't so based on #711193 despite lintian reporting such.
        Attempts to convert  debian/rules to 'dh' and using dpkg build flags
        did not work as  expected (both failed at least two of the
        hardening-check checks), so continuing build-depending on
        hardening-wrapper for now as it seems a better solution in this case.

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Sun, 13 Jul 2014 07:24:18 -0400

mumble (1.2.6-1) unstable; urgency=high

  * New upstream snapshot from 2014-05-15
  * This version contains two new security fixes.  Closes: #748189
      - Mumble-SA-2014-005   CVE-2014-3755
           http://mumble.info/security/Mumble-SA-2014-005.txt
        SVG images with local file references could trigger client DoS
      - Mumble-SA-2014-006   CVE-2014-3756
           http://mumble.info/security/Mumble-SA-2014-006.txt
        The Mumble client did not properly HTML-escape some external strings
        before using them in a rich-text (HTML) context.
      - Thanks to Mikkel Krautz <mikkel@krautz.dk> for reporting the bug,
        thanks to Salvatore Bonaccorso <carnil@debian.org> for reporting
        the bug in Debian.
  * debian/rules:
      - Update to remove libmumble.so.1.2.6 via rm of libmumble.so.1.*
  * debian/patches
      - Add 17-change-pulseaudio-role.diff
        Change role from "phone" to "game" to stop PulseAudio muting
        applications in the "music" and "video" roles
        (reported in #mumble in IRC on irc.freenode.net)
      - Add 19-move-xlib-initializtion-earlier.diff
        Move Xlib initialization earlier to fix crashing when setting a
        push-to-talk key.  Closes: #744733
        Thanks to RedOmen <redomen@nwi.net> for reporting the bug, and
        Bas Wijnen <wijnen@debian.org> for finding a fix and creating a patch.
      - Add 21-fix-compile-with-gcc-4.9.diff
        Fixes FTBFS with gcc-4.9.  Closes: 746882
        Thanks to Matthias Klose <doko@debian.org> for reporting the bug
        and to Dimitri John Ledkov <dimitri.ledkov@canonical.com> for
        submitting the patch from Christian Krause <chkr@plauener.de>

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Thu, 15 May 2014 19:20:55 -0400

mumble (1.2.5-245-g221a5d7-1) unstable; urgency=medium

  * New upstream snapshot from 2014-02-18
  * Adopt the package.  Closes: #739997
  * speech-dispatcher header file move incorporated upstream.  Closes: #740605
    Test is done in mumble.pro for local speech-dispatcher version, so
    specifying version >= 0.8 in debian/control is not necessary.
    Thanks to Paul Gevers for the bug report and patch.
  * debian/upstream/signing-key.asc
      - Add upstream signing key 4096R/0xADD011045FEF3A9A
        Mumble Automatic Build Infrastructure 2014
           <mumble-auto-build-2014@mumbleapp.com>
        [expires: 2015-01-01]
  * debian/watch:
      - Add pgpsigurlmangle option to have uscan check tarball signature
  * debian/rules:
      - Remove debug file libmumble.so.1.2.5 which has no debug symbols
  * debian/control:
      - Standards-Version updated to 3.9.5 (no changes needed)
      - Move speech-dispatcher from Recommends to Suggests.  Closes: #676880
        Thanks to Eugene Lyubimkin for the bug report.
      - Remove Suggests on deprecated mumble-server-web package
      - Lower mumble-server dependency on dbus to Suggests.  Closes: #731003
        Thanks to Klaus Ethgen for the bug report.
      - mumble-server: update description to remove deprecated D-Bus
        and mumble-server-web sections.
      - Add "encrypted" to package descriptions
      - Remove references to Ron Lee's Vcs, as all versions contained are
        obsolte and now also contain CVE-2014-0044, CVE-2014-0045.
  * debian/patches:
      - Remove deprecated (upstream incorporated) patches:
          06-connect-dialog-hang-dee463ef.diff
          09-register-mumble-URL-handler.diff
          12-Mumble-SA-2014-001.patch
          14-Mumble-SA-2014-002.patch
      - Add 06-lsb-lower-dbus-dependency.diff
        Modify mumble-server.init to allow installing mumble-server
        without dbus (Part of #731003)
      - Add 12-mumble-server-disable-dbus.diff
        Modify mumble-server.ini to disable dbus and ice by default
        (Part of #731003)
  * debian/mumble-server.README.Debian:
      - Udpate to explain init script console output (and lack thereof)

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Sat, 15 Mar 2014 20:14:55 -0400

=== debian/control ===
Source: mumble
Section: sound
Priority: optional
Maintainer: Christopher Knadle <Chris.Knadle@coredump.us>
Uploaders: Thorvald Natvig <thorvald@debian.org>
Build-Depends: debhelper (>= 7.0.8),
 po-debconf,
 libboost-dev (>= 1.42),
 libboost-python-dev (>= 1.42),
 libqt4-dev (>= 4.5.0),
 hardening-wrapper,
 libgl1-mesa-dev,
 libasound2-dev,
 libpulse-dev,
 libogg-dev,
 libspeex-dev,
 libspeexdsp-dev,
 libopus-dev,
 libsndfile1-dev,
 libssl-dev,
 libzeroc-ice35-dev,
 ice35-translators,
 ice35-slice,
 libg15daemon-client-dev,
 libspeechd-dev,
 protobuf-compiler,
 libprotobuf-dev,
 libavahi-compat-libdnssd-dev,
 libxi-dev,
 libcap-dev [linux-any]
Standards-Version: 3.9.5
Homepage: http://mumble.sourceforge.net/

Package: mumble
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libqt4-sql-sqlite,
 lsb-release
Suggests: speech-dispatcher,
 mumble-server
Description: Low latency encrypted VoIP client
 Mumble is a low-latency, high quality voice chat program for gaming.
 It features noise suppression, encrypted connections for both voice
 and instant messaging, automatic gain control and low latency audio
 with support for multiple audio standards. Mumble includes an in-game
 overlay compatible with most open-source and commercial 3D applications.
 Mumble is just a client and uses a non-standard protocol. You will need
 a dedicated server to talk to other users. Server functionality is
 provided by the package "mumble-server".

Package: mumble-server
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 adduser,
 libqt4-sql-sqlite
Suggests: dbus,
 mumble-django
Description: Low latency encrypted VoIP server
 Murmur is the VoIP server component for Mumble. Murmur is installed
 in a system-wide fashion, but can also be run by individual users.
 Each murmur process supports multiple virtual servers, each with their
 own user base and channel list.

Package: mumble-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 mumble (= ${binary:Version}) | mumble-server (= ${binary:Version})
Priority: extra
Description: Low latency encrypted VoIP client (debugging symbols)
 Mumble is a low-latency, high quality voice chat program for gaming.
 It features noise suppression, encrypted connections for both voice
 and instant messaging, automatic gain control and low latency audio
 with support for multiple audio standards. Mumble includes an in-game
 overlay compatible with most open-source and commercial 3D applications.
 Mumble is just a client and uses a non-standard protocol. You will need
 a dedicated server to talk to other users. Server functionality is
 provided by the package "mumble-server".
 .
 This package contains the debugging symbols for the 'mumble' and
 'mumble-server' packages.
